Name:           steam-udevrules
Version:        1.0.0.54
Release:        %mkrel 1
Summary:        udev rules for Steam hardware: Steam Controller and HTC Vive
Group:          System/Kernel and hardware
License:        CC0
URL:            http://www.steampowered.com
# Extracted from http://repo.steampowered.com/steam/pool/steam/s/steam/steam_%%{version}.tar.gz
Source0:        99-steam-controller-perms.rules
Source1:        60-HTC-Vive-perms.rules
# Fixed rules, to compare with upstream on update (mga#18627)
Source2:        60-steam-controller-perms.rules
BuildArch:      noarch
Conflicts:      steam < 1.0.0.52-1

%description
This package contains udev rules for Steam hardware: Steam Controller
and HTC Vive.

They are packaged independently of the main steam nonfree package
to be available for the libre steamcontroller driver without having
to install Steam itself.

%prep

%build

%install
install -d %{buildroot}%{_udevrulesdir}
#install -m644 %{_sourcedir}/99-steam-controller-perms.rules %{buildroot}%{_udevrulesdir}
install -m644 %{_sourcedir}/60-steam-controller-perms.rules %{buildroot}%{_udevrulesdir}
install -m644 %{_sourcedir}/60-HTC-Vive-perms.rules %{buildroot}%{_udevrulesdir}

%files
%{_udevrulesdir}/60-steam-controller-perms.rules
%{_udevrulesdir}/60-HTC-Vive-perms.rules


%changelog
* Thu Nov 24 2016 akien <akien> 1.0.0.54-1.mga6
+ Revision: 1069721
- Version 1.0.0.54
  o Update controller udev rules to let Steam write to DualShock 4 HID nodes

* Sat Oct 29 2016 akien <akien> 1.0.0.53-1.mga6
+ Revision: 1064007
- Sync with upstream 1.0.0.53
  o Improved HTC Vive udev rules, increased priority
  o Increase SC priority to match HTC Vive

* Mon Jul 25 2016 akien <akien> 1.0.0.52-3.mga6
+ Revision: 1043624
- Move sc udev rule to 72, uaccess stuff is 73 (mga#18627)

* Sun Jun 05 2016 akien <akien> 1.0.0.52-2.mga6
+ Revision: 1020265
- Use working udev rules from Arch, raise load order (mga#18627)

* Sat Apr 30 2016 akien <akien> 1.0.0.52-1.mga6
+ Revision: 1008098
- imported package steam-udevrules

